Resolve import errors
Base URL
https://{kibana_url}
POST
/api/saved_objects/_resolve_import_errors
POST
/s/{space_id} /api/saved_objects/_resolve_import_errors
Auth
To resolve errors from the Import objects API, you can:
Retry certain saved objects
Overwrite specific saved objects
Change references to different saved objects
Expand all
space_id
string
optional
An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.
compatibilityMode
boolean
Applies various adjustments to the saved objects that are being imported to maintain compatibility between different Kibana versions. When enabled during the initial import, also enable when resolving import errors. This option cannot be used with the createNewCopies option.
createNewCopies
boolean
Creates copies of the saved objects, regenerates each object ID, and resets the origin. When enabled during the initial import, also enable when resolving import errors.
Cross-site request forgery protection
file
string · format: binary
The same file given to the import API.
retries
object []
required
The retry operations, which can specify how to resolve different types of errors.
−
Hide 6 properties
destinationId
string
Specifies the destination ID that the imported object should have, if different from the current ID.
id
string
required
The saved object ID.
ignoreMissingReferences
boolean
When set to true, ignores missing reference errors. When set to false, does nothing.
overwrite
boolean
When set to true, the source object overwrites the conflicting destination object. When set to false, does nothing.
replaceReferences
object []
A list of type, from, and to used to change the object references.
+
Show 3 properties
type
string
required
The saved object type.
200
Indicates a successful call.
application/json
errors
object []
Specifies the objects that failed to resolve.
One object can result in multiple errors, which requires separate steps to resolve. For instance, a missing_references error and a conflict error.
success
boolean
Indicates a successful import. When set to false, some objects may not have been created. For additional information, refer to the errors and successResults properties.
successCount
number
Indicates the number of successfully resolved records.
successResults
object []
Indicates the objects that are successfully imported, with any metadata if applicable.
Objects are only created when all resolvable errors are addressed, including conflict and missing references.
error
enum
required
Values:
Bad Request
statusCode
enum
required
Values:
400
Thank you for your feedback.
Base URL
https://{kibana_url}
Examples
Request
Console
1 / 2 languages
‹
›
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
POST kbn:/api/saved_objects/_resolve_import_errors
{
"file": "file.ndjson",
"retries": [
{
"id": "my-pattern",
"overwrite": true,
"type": "index-pattern"
},
{
"destinationId": "another-vis",
"id": "my-vis",
"overwrite": true,
"type": "visualization"
},
{
"destinationId": "yet-another-canvas",
"id": "my-canvas",
"overwrite": true,
"type": "canvas"
},
{
"id": "my-dashboard",
"type": "dashboard"
}
]
}
Generated from the API spec
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
curl -X POST "${KIBANA_URL}/api/saved_objects/_resolve_import_errors" \
-H "kbn-xsrf: true" \
-H "Authorization: ApiKey ${API_KEY}" \
-H "Content-Type: multipart/form-data" \
-d '{
"file": "file.ndjson",
"retries": [
{
"id": "my-pattern",
"overwrite": true,
"type": "index-pattern"
},
{
"destinationId": "another-vis",
"id": "my-vis",
"overwrite": true,
"type": "visualization"
},
{
"destinationId": "yet-another-canvas",
"id": "my-canvas",
"overwrite": true,
"type": "canvas"
},
{
"id": "my-dashboard",
"type": "dashboard"
}
]
}'
Generated from the API spec
Response
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
{
"success": true,
"successCount": 3,
"successResults": [
{
"id": "my-vis",
"meta": {
"icon": "visualizeApp",
"title": "Look at my visualization"
},
"type": "visualization"
},
{
"id": "my-search",
"meta": {
"icon": "searchApp",
"title": "Look at my search"
},
"type": "search"
},
{
"id": "my-dashboard",
"meta": {
"icon": "dashboardApp",
"title": "Look at my dashboard"
},
"type": "dashboard"
}
]
}
1
2
3
4
5
{
"error": "Bad Request",
"message": "string",
"statusCode": 400
}
Generated from the API spec